Package wx :: Module gizmos :: Class DynamicSashWindow

[frames | no frames]

## Type DynamicSashWindow

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
                        DynamicSashWindow

Proxy of C++ DynamicSashWindow class

Method Summary
Window | ``__init__`(self, parent, id, pos, size, style, name)` Construct and show a generic Window.
bool | ``Create`(self, parent, id, pos, size, style, name)` Create the GUI part of the Window for 2-phase creation mode.
ScrollBar | `GetHScrollBar(self, child)`
ScrollBar | `GetVScrollBar(self, child)`

Property Summary
| `thisown`: The membership flag

Instance Method Details

### __init__(self, parent, id=-1, pos=DefaultPosition, size=DefaultSize, style=wxCLIP_CHILDREN|wxDS_MANAGE_SCROLLBARS|wxDS_DRAG_CORNER, name=DynamicSashNameStr)
(Constructor)

Construct and show a generic Window.

  Parameters:
    `parent`
    (type=Window)

    `id`
    (type=int)

    `pos`
    (type=Point)

    `size`
    (type=Size)

    `style`
    (type=long)

    `name`
    (type=String)

  Returns:
    Window
  Overrides:
    `wx.Window.__init__` (inherited documentation)

### Create(self, parent, id=-1, pos=DefaultPosition, size=DefaultSize, style=wxCLIP_CHILDREN|wxDS_MANAGE_SCROLLBARS|wxDS_DRAG_CORNER, name=DynamicSashNameStr)

Create the GUI part of the Window for 2-phase creation mode.

  Parameters:
    `parent`
    (type=Window)

    `id`
    (type=int)

    `pos`
    (type=Point)

    `size`
    (type=Size)

    `style`
    (type=long)

    `name`
    (type=String)

  Returns:
    bool
  Overrides:
    `wx.Window.Create` (inherited documentation)

Property Details

### thisown

The membership flag

  Get Method:
    unknown--1220925484(...)
  Set Method:
    unknown--1220925428(...)

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:14:40 2007 | http://epydoc.sf.net